OGRE: Ogre::RenderWindow Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderWindow Class Reference

Manages the target rendering window. More...

`#include <OgreRenderWindow.h>`

Inheritance diagram for Ogre::RenderWindow:

[legend]
List of all members.

## Public Types

enum | StatFlags { SF_NONE = 0, SF_FPS = 1, SF_AVG_FPS = 2, SF_BEST_FPS = 4, SF_WORST_FPS = 8, SF_TRIANGLE_COUNT = 16, SF_ALL = 0xFFFF }

## Public Member Functions

| RenderWindow ()
| Default constructor.
virtual void | create (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams)=0
| Creates & displays the new window.
virtual void | setFullscreen (bool fullScreen, unsigned int width, unsigned int height)
| Alter fullscreen mode options.
virtual void | destroy (void)=0
| Destroys the window.
virtual void | resize (unsigned int width, unsigned int height)=0
| Alter the size of the window.
virtual void | windowMovedOrResized ()
| Notify that the window has been resized.
virtual void | reposition (int left, int top)=0
| Reposition the window.
virtual bool | isVisible (void) const
| Indicates whether the window is visible (not minimized or obscured).
virtual void | setVisible (bool visible)
| Set the visibility state.
virtual bool | isActive (void) const
| Overridden from RenderTarget, flags invisible windows as inactive.
virtual bool | isClosed (void) const =0
| Indicates whether the window has been closed by the user.
virtual bool | isPrimary (void) const
| Indicates wether the window is the primary window.
virtual void | swapBuffers (bool waitForVSync=true)=0
| Swaps the frame buffers to display the next frame.
virtual void | update (void)

Remarks:
  If OGRE is not running in an automatic rendering loop (started using Root::startRendering), the user of the library is responsible for asking each render target to refresh. This is the method used to do this. It automatically re-renders the contents of the target using whatever cameras have been pointed at it (using Camera::setRenderTarget).

  This allows OGRE to be used in multi-windowed utilities and for contents to be refreshed only when required, rather than constantly as with the automatic rendering loop.

virtual void | update (bool swapBuffers)
| Updates the window contents.
virtual bool | isFullScreen (void) const
| Returns true if window is running in fullscreen mode.
virtual void | getMetrics (unsigned int &width, unsigned int &height, unsigned int &colourDepth, int &left, int &top)
| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.
virtual const String & | getName (void) const
| Retrieve target's name.
virtual void | getMetrics (unsigned int &width, unsigned int &height, unsigned int &colourDepth)
| Retrieve information about the render target.
virtual unsigned int | getWidth (void) const
virtual unsigned int | getHeight (void) const
virtual unsigned int | getColourDepth (void) const
virtual Viewport * | addViewport (Camera *cam, int ZOrder=0, float left=0.0f, float top=0.0f, float width=1.0f, float height=1.0f)
| Adds a viewport to the rendering target.
virtual unsigned short | getNumViewports (void) const
| Returns the number of viewports attached to this target.
virtual Viewport * | getViewport (unsigned short index)
| Retrieves a pointer to the viewport with the given index.
virtual void | removeViewport (int ZOrder)
| Removes a viewport at a given ZOrder.
virtual void | removeAllViewports (void)
| Removes all viewports on this target.
virtual void | getStatistics (float &lastFPS, float &avgFPS, float &bestFPS, float &worstFPS) const
| Retieves details of current rendering performance.
virtual const FrameStats & | getStatistics (void) const
virtual float | getLastFPS () const
| Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered.
virtual float | getAverageFPS () const
| Individual stats access - gets the average frames per second (FPS) since call to Root::startRendering.
virtual float | getBestFPS () const
| Individual stats access - gets the best frames per second (FPS) since call to Root::startRendering.
virtual float | getWorstFPS () const
| Individual stats access - gets the worst frames per second (FPS) since call to Root::startRendering.
virtual float | getBestFrameTime () const
| Individual stats access - gets the best frame time.
virtual float | getWorstFrameTime () const
| Individual stats access - gets the worst frame time.
virtual void | resetStatistics (void)
| Resets saved frame-rate statistices.
virtual void | getCustomAttribute (const String &name, void *pData)
| Gets a custom (maybe platform-specific) attribute.
virtual void | addListener (RenderTargetListener *listener)
| Add a listener to this RenderTarget which will be called back before & after rendering.
virtual void | removeListener (RenderTargetListener *listener)
| Removes a RenderTargetListener previously registered using addListener.
virtual void | removeAllListeners (void)
| Removes all listeners from this instance.
virtual void | setPriority (uchar priority)
| Sets the priority of this render target in relation to the others.
virtual uchar | getPriority () const
| Gets the priority of a render target.
virtual void | setActive (bool state)
| Used to set the active state of the render target.
virtual void | setAutoUpdated (bool autoupdate)
| Sets whether this target should be automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.
virtual bool | isAutoUpdated (void) const
| Gets whether this target is automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.
virtual void | writeContentsToFile (const String &filename)=0
| Writes the current contents of the render target to the named file.
virtual String | writeContentsToTimestampedFile (const String &filenamePrefix, const String &filenameSuffix)
| Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file.
virtual bool | requiresTextureFlipping () const =0
virtual size_t | getTriangleCount (void) const
| Gets the number of triangles rendered in the last update() call.
virtual size_t | getBatchCount (void) const
| Gets the number of batches rendered in the last update() call.
virtual void | _notifyCameraRemoved (const Camera *cam)
| Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer.
virtual Impl * | _getImpl ()
| Get rendersystem specific interface for this RenderTarget.

## Protected Types

typedef std::map< int, Viewport *, std::less< int > > | ViewportList
typedef std::vector< RenderTargetListener * > | RenderTargetListenerList

## Protected Member Functions

void | _setPrimary ()
| Indicates that this is the primary window.
void | updateStats (void)
virtual void | firePreUpdate (void)
| internal method for firing events
virtual void | firePostUpdate (void)
| internal method for firing events
virtual void | fireViewportPreUpdate (Viewport *vp)
| internal method for firing events
virtual void | fireViewportPostUpdate (Viewport *vp)
| internal method for firing events
virtual void | fireViewportAdded (Viewport *vp)
| internal method for firing events
virtual void | fireViewportRemoved (Viewport *vp)
| internal method for firing events

## Protected Attributes

bool | mIsFullScreen
bool | mIsPrimary
int | mLeft
int | mTop
String | mName
| The name of this target.
uchar | mPriority
| The priority of the render target.
unsigned int | mWidth
unsigned int | mHeight
unsigned int | mColourDepth
bool | mIsDepthBuffered
FrameStats | mStats
Timer * | mTimer
unsigned long | mLastSecond
unsigned long | mLastTime
size_t | mFrameCount
bool | mActive
bool | mAutoUpdate
ViewportList | mViewportList
| List of viewports, map on Z-order.
RenderTargetListenerList | mListeners

## Friends

class | Root

## Detailed Description

Manages the target rendering window.

Remarks:
  This class handles a window into which the contents of a scene are rendered. There is a many-to-1 relationship between instances of this class an instance of RenderSystem which controls the rendering of the scene. There may be more than one window in the case of level editor tools etc. This class is abstract since there may be different implementations for different windowing systems.

  Instances are created and communicated with by the render system although client programs can get a reference to it from the render system if required for resizing or moving. Note that you can have multiple viewpoints in the window for effects like rear-view mirrors and picture-in-picture views (see Viewport and Camera).

Author:
  Steven Streeting

Version:
  1.0

Definition at line 55 of file OgreRenderWindow.h.

## Member Typedef Documentation

typedef std::vector<RenderTargetListener*> Ogre::RenderTarget::RenderTargetListenerList`[protected, inherited]`

| Definition at line 339 of file OgreRenderTarget.h.

typedef std::map<int, Viewport*, std::less<int> > Ogre::RenderTarget::ViewportList`[protected, inherited]`

| Definition at line 335 of file OgreRenderTarget.h.

## Member Enumeration Documentation

enum Ogre::RenderTarget::StatFlags`[inherited]`

Enumeration values:

  SF_NONE |
  SF_FPS |
  SF_AVG_FPS |
  SF_BEST_FPS |
  SF_WORST_FPS |
  SF_TRIANGLE_COUNT |
  SF_ALL |

Definition at line 62 of file OgreRenderTarget.h.

## Constructor & Destructor Documentation

Ogre::RenderWindow::RenderWindow | ( |  | ) |

| Default constructor.

## Member Function Documentation

virtual Impl* Ogre::RenderTarget::_getImpl | ( |  | ) | `[virtual, inherited]`

| Get rendersystem specific interface for this RenderTarget. This is used by the RenderSystem to (un)bind this target, and to get specific information like surfaces and framebuffer objects.

virtual void Ogre::RenderTarget::_notifyCameraRemoved | ( | const Camera * | cam | ) | `[virtual, inherited]`

| Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer.

void Ogre::RenderWindow::_setPrimary | ( |  | ) | `[protected]`

| Indicates that this is the primary window. Only to be called by Ogre::Root Definition at line 199 of file OgreRenderWindow.h.

virtual void Ogre::RenderTarget::addListener | ( | RenderTargetListener * | listener | ) | `[virtual, inherited]`

Add a listener to this RenderTarget which will be called back before & after rendering.

Remarks:
  If you want notifications before and after a target is updated by the system, use this method to register your own custom RenderTargetListener class. This is useful for potentially adding your own manual rendering commands before and after the 'normal' system rendering.

NB this should not be used for frame-based scene updates, use Root::addFrameListener for that.

virtual Viewport* Ogre::RenderTarget::addViewport | ( | Camera * | cam,
|  | int | ZOrder = `0`,
|  | float | left = `0.0f`,
|  | float | top = `0.0f`,
|  | float | width = `1.0f`,
|  | float | height = `1.0f`
| ) | `[virtual, inherited]`

Adds a viewport to the rendering target.

Remarks:
  A viewport is the rectangle into which redering output is sent. This method adds a viewport to the render target, rendering from the supplied camera. The rest of the parameters are only required if you wish to add more than one viewport to a single rendering target. Note that size information passed to this method is passed as a parametric, i.e. it is relative rather than absolute. This is to allow viewports to automatically resize along with the target.

Parameters:

  | cam | The camera from which the viewport contents will be rendered (mandatory)
  | ZOrder | The relative order of the viewport with others on the target (allows overlapping viewports i.e. picture-in-picture). Higher ZOrders are on top of lower ones. The actual number is irrelevant, only the relative ZOrder matters (you can leave gaps in the numbering)
  | left | The relative position of the left of the viewport on the target, as a value between 0 and 1.
  | top | The relative position of the top of the viewport on the target, as a value between 0 and 1.
  | width | The relative width of the viewport on the target, as a value between 0 and 1.
  | height | The relative height of the viewport on the target, as a value between 0 and 1.

virtual void Ogre::RenderWindow::create | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | bool | fullScreen,
|  | const NameValuePairList * | miscParams
| ) | `[pure virtual]`

Creates & displays the new window.

Parameters:

  | width | The width of the window in pixels.
  | height | The height of the window in pixels.
  | colourDepth | The colour depth in bits. Ignored if fullScreen is false since the desktop depth is used.
  | fullScreen | If true, the window fills the screen, with no title bar or border.
  | left | The x-position of the window. Ignored if fullScreen = true.
  | top | The y-position of the window. Ignored if fullScreen = true.
  | depthBuffer | Specify true to include a depth-buffer.
  | miscParam | A variable number of pointers to platform-specific arguments. The actual requirements must be defined by the implementing subclasses.

virtual void Ogre::RenderWindow::destroy | ( | void |  | ) | `[pure virtual]`

| Destroys the window.

virtual void Ogre::RenderTarget::firePostUpdate | ( | void |  | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual void Ogre::RenderTarget::firePreUpdate | ( | void |  | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual void Ogre::RenderTarget::fireViewportAdded | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual void Ogre::RenderTarget::fireViewportPostUpdate | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual void Ogre::RenderTarget::fireViewportPreUpdate | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual void Ogre::RenderTarget::fireViewportRemoved | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

| internal method for firing events

virtual float Ogre::RenderTarget::getAverageFPS | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the average frames per second (FPS) since call to Root::startRendering.

virtual size_t Ogre::RenderTarget::getBatchCount | ( | void |  | ) | const`[virtual, inherited]`

| Gets the number of batches rendered in the last update() call.

virtual float Ogre::RenderTarget::getBestFPS | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the best frames per second (FPS) since call to Root::startRendering.

virtual float Ogre::RenderTarget::getBestFrameTime | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the best frame time.

virtual unsigned int Ogre::RenderTarget::getColourDepth | ( | void |  | ) | const`[virtual, inherited]`

virtual void Ogre::RenderTarget::getCustomAttribute | ( | const String & | name,
|  | void * | pData
| ) | `[virtual, inherited]`

Gets a custom (maybe platform-specific) attribute.

Remarks:
  This is a nasty way of satisfying any API's need to see platform-specific details. It horrid, but D3D needs this kind of info. At least it's abstracted.

Parameters:

  | name | The name of the attribute.
  | pData | Pointer to memory of the right kind of structure to receive the info.

virtual unsigned int Ogre::RenderTarget::getHeight | ( | void |  | ) | const`[virtual, inherited]`

virtual float Ogre::RenderTarget::getLastFPS | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered.

virtual void Ogre::RenderTarget::getMetrics | ( | unsigned int & | width,
|  | unsigned int & | height,
|  | unsigned int & | colourDepth
| ) | `[virtual, inherited]`

| Retrieve information about the render target.

virtual void Ogre::RenderWindow::getMetrics | ( | unsigned int & | width,
|  | unsigned int & | height,
|  | unsigned int & | colourDepth,
|  | int & | left,
|  | int & | top
| ) | `[virtual]`

| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.

virtual const String& Ogre::RenderTarget::getName | ( | void |  | ) | const`[virtual, inherited]`

| Retrieve target's name.

virtual unsigned short Ogre::RenderTarget::getNumViewports | ( | void |  | ) | const`[virtual, inherited]`

| Returns the number of viewports attached to this target.

virtual uchar Ogre::RenderTarget::getPriority | ( |  | ) | const`[virtual, inherited]`

| Gets the priority of a render target. Definition at line 238 of file OgreRenderTarget.h.

virtual const FrameStats& Ogre::RenderTarget::getStatistics | ( | void |  | ) | const`[virtual, inherited]`

virtual void Ogre::RenderTarget::getStatistics | ( | float & | lastFPS,
|  | float & | avgFPS,
|  | float & | bestFPS,
|  | float & | worstFPS
| ) | const`[virtual, inherited]`

Retieves details of current rendering performance.

Remarks:
  If the user application wishes to do it's own performance display, or use performance for some other means, this method allows it to retrieve the statistics.

Parameters:

  | lastFPS | Pointer to a float to receive the number of frames per second (FPS) based on the last frame rendered.
  | avgFPS | Pointer to a float to receive the FPS rating based on an average of all the frames rendered since rendering began (the call to Root::startRendering).
  | bestFPS | Pointer to a float to receive the best FPS rating that has been achieved since rendering began.
  | worstFPS | Pointer to a float to receive the worst FPS rating seen so far.

virtual size_t Ogre::RenderTarget::getTriangleCount | ( | void |  | ) | const`[virtual, inherited]`

| Gets the number of triangles rendered in the last update() call.

virtual Viewport* Ogre::RenderTarget::getViewport | ( | unsigned short | index | ) | `[virtual, inherited]`

| Retrieves a pointer to the viewport with the given index.

virtual unsigned int Ogre::RenderTarget::getWidth | ( | void |  | ) | const`[virtual, inherited]`

virtual float Ogre::RenderTarget::getWorstFPS | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the worst frames per second (FPS) since call to Root::startRendering.

virtual float Ogre::RenderTarget::getWorstFrameTime | ( |  | ) | const`[virtual, inherited]`

| Individual stats access - gets the worst frame time.

virtual bool Ogre::RenderWindow::isActive | ( | void |  | ) | const`[virtual]`

| Overridden from RenderTarget, flags invisible windows as inactive. Reimplemented from Ogre::RenderTarget. Definition at line 126 of file OgreRenderWindow.h.

virtual bool Ogre::RenderTarget::isAutoUpdated | ( | void |  | ) | const`[virtual, inherited]`

| Gets whether this target is automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.

virtual bool Ogre::RenderWindow::isClosed | ( | void |  | ) | const`[pure virtual]`

| Indicates whether the window has been closed by the user.

virtual bool Ogre::RenderWindow::isFullScreen | ( | void |  | ) | const`[virtual]`

| Returns true if window is running in fullscreen mode.

virtual bool Ogre::RenderWindow::isPrimary | ( | void |  | ) | const`[virtual]`

Indicates wether the window is the primary window.

The primary window is special in that it is destroyed when ogre is shut down, and cannot be destroyed directly. This is the case because it holds the context for vertex, index buffers and textures.

Reimplemented from Ogre::RenderTarget.

virtual bool Ogre::RenderWindow::isVisible | ( | void |  | ) | const`[virtual]`

| Indicates whether the window is visible (not minimized or obscured). Definition at line 118 of file OgreRenderWindow.h.

virtual void Ogre::RenderTarget::removeAllListeners | ( | void |  | ) | `[virtual, inherited]`

| Removes all listeners from this instance.

virtual void Ogre::RenderTarget::removeAllViewports | ( | void |  | ) | `[virtual, inherited]`

| Removes all viewports on this target.

virtual void Ogre::RenderTarget::removeListener | ( | RenderTargetListener * | listener | ) | `[virtual, inherited]`

| Removes a RenderTargetListener previously registered using addListener.

virtual void Ogre::RenderTarget::removeViewport | ( | int | ZOrder | ) | `[virtual, inherited]`

| Removes a viewport at a given ZOrder.

virtual void Ogre::RenderWindow::reposition | ( | int | left,
|  | int | top
| ) | `[pure virtual]`

| Reposition the window.

virtual bool Ogre::RenderTarget::requiresTextureFlipping | ( |  | ) | const`[pure virtual, inherited]`

virtual void Ogre::RenderTarget::resetStatistics | ( | void |  | ) | `[virtual, inherited]`

| Resets saved frame-rate statistices.

virtual void Ogre::RenderWindow::resize | ( | unsigned int | width,
|  | unsigned int | height
| ) | `[pure virtual]`

| Alter the size of the window.

virtual void Ogre::RenderTarget::setActive | ( | bool | state | ) | `[virtual, inherited]`

| Used to set the active state of the render target.

virtual void Ogre::RenderTarget::setAutoUpdated | ( | bool | autoupdate | ) | `[virtual, inherited]`

Sets whether this target should be automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.

Remarks:
  By default, if you use Ogre's own rendering loop (Root::startRendering) or call Root::_updateAllRenderTargets, all render targets are updated automatically. This method allows you to control that behaviour, if for example you have a render target which you only want to update periodically.

Parameters:

  | autoupdate | If true, the render target is updated during the automatic render loop or when Root::_updateAllRenderTargets is called. If false, the target is only updated when its update() method is called explicitly.

virtual void Ogre::RenderWindow::setFullscreen | ( | bool | fullScreen,
|  | unsigned int | width,
|  | unsigned int | height
| ) | `[virtual]`

Alter fullscreen mode options.

Note:
  Nothing will happen unless the settings here are different from the current settings.

Parameters:

  | fullScreen | Whether to use fullscreen mode or not.
  | width | The new width to use
  | height | The new height to use

Definition at line 96 of file OgreRenderWindow.h.

virtual void Ogre::RenderTarget::setPriority | ( | uchar | priority | ) | `[virtual, inherited]`

Sets the priority of this render target in relation to the others.

Remarks:
  This can be used in order to schedule render target updates. Lower priorities will be rendered first. Note that the priority must be set at the time the render target is attached to the render system, changes afterwards will not affect the ordering.

Definition at line 236 of file OgreRenderTarget.h.

virtual void Ogre::RenderWindow::setVisible | ( | bool | visible | ) | `[virtual]`

| Set the visibility state. Definition at line 122 of file OgreRenderWindow.h.

virtual void Ogre::RenderWindow::swapBuffers | ( | bool | waitForVSync = `true` | ) | `[pure virtual]`

Swaps the frame buffers to display the next frame.

Remarks:
  All render windows are double-buffered so that no 'in-progress' versions of the scene are displayed during rendering. Once rendering has completed (to an off-screen version of the window) the buffers are swapped to display the new frame.

Parameters:

  | waitForVSync | If true, the system waits for the next vertical blank period (when the CRT beam turns off as it travels from bottom-right to top-left at the end of the pass) before flipping. If false, flipping occurs no matter what the beam position. Waiting for a vertical blank can be slower (and limits the framerate to the monitor refresh rate) but results in a steadier image with no 'tearing' (a flicker resulting from flipping buffers when the beam is in the progress of drawing the last frame).

virtual void Ogre::RenderWindow::update | ( | bool | swapBuffers | ) | `[virtual]`

Updates the window contents.

Remarks:
  The window is updated by telling each camera which is supposed to render into this window to render it's view, and then the window buffers are swapped via swapBuffers() if requested

Parameters:

  | swapBuffers | If set to true, the window will immediately swap it's buffers after update. Otherwise, the buffers are not swapped, and you have to call swapBuffers yourself sometime later. You might want to do this on some rendersystems which pause for queued rendering commands to complete before accepting swap buffers calls - so you could do other CPU tasks whilst the queued commands complete. Or, you might do this if you want custom control over your windows, such as for externally created windows.

virtual void Ogre::RenderWindow::update | ( | void |  | ) | `[virtual]`

Remarks:
  If OGRE is not running in an automatic rendering loop (started using Root::startRendering), the user of the library is responsible for asking each render target to refresh. This is the method used to do this. It automatically re-renders the contents of the target using whatever cameras have been pointed at it (using Camera::setRenderTarget).

  This allows OGRE to be used in multi-windowed utilities and for contents to be refreshed only when required, rather than constantly as with the automatic rendering loop.

Reimplemented from Ogre::RenderTarget.

void Ogre::RenderTarget::updateStats | ( | void |  | ) | `[protected, inherited]`

virtual void Ogre::RenderWindow::windowMovedOrResized | ( |  | ) | `[virtual]`

Notify that the window has been resized.

Remarks:
  You don't need to call this unless you created the window externally.

Definition at line 110 of file OgreRenderWindow.h.

virtual void Ogre::RenderTarget::writeContentsToFile | ( | const String & | filename | ) | `[pure virtual, inherited]`

| Writes the current contents of the render target to the named file. Implemented in Ogre::RenderTexture, and Ogre::MultiRenderTarget.

virtual String Ogre::RenderTarget::writeContentsToTimestampedFile | ( | const String & | filenamePrefix,
|  | const String & | filenameSuffix
| ) | `[virtual, inherited]`

Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file.

Returns:
  the name of the file used.

## Friends And Related Function Documentation

friend class Root`[friend]`

| Definition at line 201 of file OgreRenderWindow.h.

## Member Data Documentation

bool Ogre::RenderTarget::mActive`[protected, inherited]`

| Definition at line 330 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mAutoUpdate`[protected, inherited]`

| Definition at line 331 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mColourDepth`[protected, inherited]`

| Definition at line 319 of file OgreRenderTarget.h.

size_t Ogre::RenderTarget::mFrameCount`[protected, inherited]`

| Definition at line 328 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mHeight`[protected, inherited]`

| Definition at line 318 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mIsDepthBuffered`[protected, inherited]`

| Definition at line 320 of file OgreRenderTarget.h.

bool Ogre::RenderWindow::mIsFullScreen`[protected]`

| Definition at line 191 of file OgreRenderWindow.h.

bool Ogre::RenderWindow::mIsPrimary`[protected]`

| Definition at line 192 of file OgreRenderWindow.h.

unsigned long Ogre::RenderTarget::mLastSecond`[protected, inherited]`

| Definition at line 326 of file OgreRenderTarget.h.

unsigned long Ogre::RenderTarget::mLastTime`[protected, inherited]`

| Definition at line 327 of file OgreRenderTarget.h.

int Ogre::RenderWindow::mLeft`[protected]`

| Definition at line 193 of file OgreRenderWindow.h.

RenderTargetListenerList Ogre::RenderTarget::mListeners`[protected, inherited]`

| Definition at line 340 of file OgreRenderTarget.h.

String Ogre::RenderTarget::mName`[protected, inherited]`

| The name of this target. Definition at line 313 of file OgreRenderTarget.h.

uchar Ogre::RenderTarget::mPriority`[protected, inherited]`

| The priority of the render target. Definition at line 315 of file OgreRenderTarget.h.

FrameStats Ogre::RenderTarget::mStats`[protected, inherited]`

| Definition at line 323 of file OgreRenderTarget.h.

Timer* Ogre::RenderTarget::mTimer`[protected, inherited]`

| Definition at line 325 of file OgreRenderTarget.h.

int Ogre::RenderWindow::mTop`[protected]`

| Definition at line 194 of file OgreRenderWindow.h.

ViewportList Ogre::RenderTarget::mViewportList`[protected, inherited]`

| List of viewports, map on Z-order. Definition at line 337 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mWidth`[protected, inherited]`

| Definition at line 317 of file OgreRenderTarget.h.

The documentation for this class was generated from the following file:

- OgreRenderWindow.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:11 2008